Post float cash-in (Pismo account ID)

Enable users to submit float cash-in payments to the Pismo platform. It supports posting credits to an account, as well as facilitating fund transfers between accounts.

To post a credit, you must provide a valid processing_code for the credit operation and the recipient's external_account_id.

See the Examples drop-down menu for a sample payload.

For more information about payments operations, see Corporate Banking Launch Reference.

NOTES:

  • This endpoint requires an account-specific access token. Getting an account token requires you to call the Get OpenID access token endpoint with an external account ID. Tokens can expire quickly, which can result in an Unauthorized message.

Each payment created generates the following events:

See Data and reporting for more information about events and setting up event notifications.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request body

string
required
length between 1 and 60
^[a-zA-Z0-9-]+$

External ID of the account to which the transaction is posted.

string
required
length ≤ 3

3-letter, ISO-4217 standard alphabetic code for the currency used in the total and float amounts.

float
required
0.01 to 100000000000000000

Transaction amount

float
required
0.01 to 100000000000000000

Part of the total amount that is deferred to settle on the settlement_date. If it is equal to or greater than total_amount, a bad request error is returned.

string
required
length between 1 and 43

A unique payment tracking number provided by the client. If an existing tracking_id already exists in the system, the API returns a 409 error.

This field is:

  • Unique within the Organization.
  • Immutable — It can't be updated.
  • Not recyclable — You can't reuse a tracking_id.
date
required

Future date on which the float_amount is settled. Corresponds to the cycle closing date relative to the payment date.
Notes:

  • The settlement date is in ISO 8601 format.
  • It's similar to the business_date attribute for regular payment operations.
string
length ≤ 6

Processing code for posting credit transactions. The code must have a credit balance impact. You can retrieve a list of the organization processing codes using List processing codes.

string
length ≤ 100

A brief description that appears on the bank statement to help identify a particular transaction.

metadata
object

Key-value pairs containing data intended for storage in the Pismo system.
NOTES:

  • The metadata includes a corporate_metadata object with the following subfields:
    • credit_external_account_id
    • authorization_type
    • business_date
    • float_amount
    • settlement_date
  • The corporate_metadata field must be an object. A type mismatch results in an error as mapped in the responses section.

Note: This field must not be used to send Personally Identifiable Information (PII), Payment Card Industry (PCI) data, or any sensitive/regulated information. Metadata fields are intended for operational, non-sensitive data only. For sensitive data, use the specific parameters designed for that purpose. For more information, refer to Get started with Pismo APIs.

Responses

403

The request has been lost

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json